AutoCorr <-
function (startX, endX, Avg=1, lum=4, sizePts=2, binPts=15,Rverbose=0, myData,fileName,Span, Increment,LagPcnt=1/3) {
#  starting column, ending column, Average or Individual, #minutes between points, # points to bin, # minutes/unit (usually day)
# require delftfews, chron, zoo?
#   how to get a p:   http://zoonek2.free.fr/UNIX/48_R/15_Time_Series.txt
  #require(delftfews)
  #source('~/Documents/Cathy/Neuroscience papers/capstone/Bartolomucci/chrono data/R-functions/CatPeri/CatPeri.R')
  modulo <- 1440
  startData <-1
  
  CatBins<-CatBin(startX, endX, Avg, lum, sizePts, binPts,modulo, 1, myData)
  # returns newMinPerBin,dataPts,binsPerDay,dayPts,dayCnt,animals, endData, DataList,plotCnt
  
  DataList<-CatBins$DataList
  startDark <-as.character(format(as.POSIXct(myData[startData,1], origin="1970-01-01",tz="GMT"),"%H:%M:%S"))    #  get index of first darkness value
  op<-par()
  thisTime <- format(Sys.time(), "%b %d, %Y - %H:%M:%S");
  nameVector <- paste(" ",names(myData),sep=" ")

  #par(mfrow=c(2,1), oma = c(2,0,0,0),mar=c(2,4,4,2))   #,omi = c(0,0,1,0)) old
  layout(matrix(c(1,2), 2, 1, byrow = TRUE), 
         widths=c(1), heights=c(1,1))
  par( mar=c(4,4,2,1),oma = c(2,0,0,0))
  #  par(mfrow=c(2,1), mar = c(3, 4, 3, 0),oma=c(2,0,0,1))  cc
for (cnt in 1:CatBins$plotCnt) {      #  1 plot per animal, for all animals 
  MaxLag <- ceiling((CatBins$dataPts/binPts)*LagPcnt)
	getACF <- acf(DataList[cnt,],main="",ylab="AutoCorrelation (r)",lag.max = MaxLag,xlab = "")
  # Default is 10*log10(N/m) where N is the number of observations and m the number of series. 
  # Will be automatically limited to one less than the number of observations in the series.
  maxCheck <- CatBins$dayPts/2         #  get half again as many points as length of day
	periodPt <- which.max(getACF$acf[maxCheck:(CatBins$dayPts+maxCheck)]) + maxCheck - 2   
  #  -1 adjust for +;  -1 adjust for starting at 0 instead of 1
  hrsPerPeriod <- (periodPt/CatBins$binsPerDay)*24

    if (Avg)  {    
        title(paste('Avg across',CatBins$dayPts,'Columns: ',nameVector[startX],' - ',nameVector[endX],'\n',myData[startData,1],' -- ',myData[CatBins$endData,1]),cex.main=.9)
    } else {
        title(paste('Column',cnt,': ',nameVector[cnt+3],'\n',myData[startData,1],' -- ',myData[CatBins$endData,1]),cex.main=.9)
    }
  #title(xlab = paste("Max Lag= ",MaxLag,";    1st Peak:",periodPt,'bins (', hrsPerPeriod,"hrs)"),line=2)
  title(sub = "Lag",line=2)
  if (Rverbose!=-1){
  mtext(paste("Max Lag= ",MaxLag,";    1st Peak:",periodPt,'bins (', hrsPerPeriod,"hrs)"),cex=.7,side=1,line=2.9)
  }
  # Use the periodogram
  CatPeriodogram<- CatPeri(getACF$acf,binsPerHr=CatBins$binsPerDay/24, Hx=.2, cex=.75, Debug=FALSE)    # get Units working
  #DataList[cnt,]
  n<-length(DataList[cnt,])
  nfft<-(n/2)+1
  
  #------------------------
  
  #mtext(paste("Max Lag= ",MaxLag,";    1st Peak:",periodPt,'bins (', hrsPerPeriod,"hrs)"),cex=.8,side=1,line=2.9)
  if (Rverbose!=-1){
    mtext(paste('Total bins: ',CatBins$dataPts/binPts,';     pts/bin: ',binPts,'(',CatBins$newMinPerBin,'mins)'),side=1,line = 2.9, cex =.7)    #     bins/day: ',CatBins$binsPerDay
  }
  mtext(paste("Span:",Span," Inc:",Increment),side=1,line = 4, cex =.5, adj=0)
  mtext(paste(fileName,"   ",thisTime),side=1,line = 4, cex =.5, adj=.9)
  ###print(summary(getACFvar))

}  # end for (cnt in 1:CatBins$plotCnt)
  #remove read only list components 
  op$cin<-NULL
  op$cra<-NULL
  op$csi<-NULL
  op$cxy<-NULL
  op$din<-NULL
  op$page<-NULL
  par(op)
end
}
