CatPeri <-
function (MyData,binsPerHr, Hx, cex, Debug=FALSE){
  #myData is a vector, not a matrix
  # dt in units of hours
  #source('~/Documents/Cathy/Neuroscience papers/capstone/Chronobiology/CosinorR/CosinorEQ/periCosinor.R') 
# Use the periodogram
peri=periCosinor(MyData,plot=FALSE)
#--par(mfrow=c(3,1))

#print(peri$peri)
n<-length(MyData)
nfft<-(n/2)+1
#print(peri$c)
#print(peri$f)
#print(peri$amp)
#print(1/(peri$c[2:nfft]*dt))
#print(dt)
#plot(peri$f,peri$peri,ylab='Periodogram',xlab='Frequency (radians)',type='h',xaxp=c(0,pi,4))
#------------------------
  periX<-1/peri$c[2:nfft]
  periLastX<-1/peri$c[nfft]
  periY<-peri$peri[2:nfft]
#plot(1/(peri$c[2:nfft]*dt),peri$peri[2:nfft],ylab='Periodogram',xlab='Frequency (in radians/cycle)',type='h')
plot(periX,periY,ylab='Periodogram (power)',xlab='',type='h') 
title(sub = "Frequency (in #Samples/cycle)",line=2)

maxAmp<-which.max(peri$peri)
h<-peri$peri[maxAmp]*.8
lf<-h*Hx*.7
s<-periLastX
#plot(0:10, 0:10, type="n",xlab="",ylab="",axes=F, main=paste("Four strongest periods"),cex=1)
text(c(.11*s,.21*s,.40*s,.56*s,.81*s),c(h,h,h,h,h),labels=c("Index","Frequency","Period in #hrs","Period in #Samples","Amplitude / Power"),adj = c(0,0), cex=cex)

binPeaks<-rev(sort(peri$peri))
maxAmp1<-which(peri$peri==binPeaks[1])
maxAmp2<-which(peri$peri==binPeaks[2])
maxAmp3<-which(peri$peri==binPeaks[3])
maxAmp4<-which(peri$peri==binPeaks[4])

h<-h-lf
text(c(.12*s,.21*s,.43*s,.63*s,.8*s),c(h,h,h,h,h),labels=c(maxAmp1,format(1/peri$c[maxAmp1],digits=6),format(peri$c[maxAmp1]/binsPerHr,digits=7),format(peri$c[maxAmp1],digits=7),paste(format(peri$amp[maxAmp1],digits=4),"/",format(peri$peri[maxAmp1],digits=7))),adj = c(0,0), cex=cex)
h<-h-lf       
text(c(.12*s,.21*s,.43*s,.63*s,.8*s),c(h,h,h,h,h),labels=c(maxAmp2,format(1/peri$c[maxAmp2],digits=7),format(peri$c[maxAmp2]/binsPerHr,digits=7),format(peri$c[maxAmp2],digits=7),paste(format(peri$amp[maxAmp2],digits=4),"/",format(peri$peri[maxAmp2],digits=7))),adj = c(0,0), cex=cex)
h<-h-lf
text(c(.12*s,.21*s,.43*s,.63*s,.8*s),c(h,h,h,h,h),labels=c(maxAmp3,format(1/peri$c[maxAmp3],digits=7),format(peri$c[maxAmp3]/binsPerHr,digits=7),format(peri$c[maxAmp3],digits=7),paste(format(peri$amp[maxAmp3],digits=4),"/",format(peri$peri[maxAmp3],digits=7))),adj = c(0,0), cex=cex)
h<-h-lf
text(c(.12*s,.21*s,.43*s,.63*s,.8*s),c(h,h,h,h,h),labels=c(maxAmp4,format(1/peri$c[maxAmp4],digits=7),format(peri$c[maxAmp4]/binsPerHr,digits=7),format(peri$c[maxAmp4],digits=7),paste(format(peri$amp[maxAmp4],digits=4),"/",format(peri$peri[maxAmp4],digits=7))),adj = c(0,0), cex=cex)
   
#-------------------
# peri=peri model,f=freq,c=cycles,amp=amplitude,phase=phase
if (Debug==TRUE){
  print(peri$amp)
  print(peri$f)
  print(peri$phase)
  print(peri$c)
  print(peri$realpart)        # ~B?
  print(peri$imagpart)        # ~G?
  new<-(peri$phase/pi)*180}
}
